********
*
*$PATH_TO_CONFIG$ muss durch den eigentlichen Pfad ersetzt werden!
*
******


##General MOA-ID 3.x Configuration

##For Testing
configuration.validation.certificate.QC.ignore=false
protocols.pvp2.assertion.encryption.active=false
protocols.pvp2.schemavalidation=true

##General MOA-ID 3.x operations
#MOA-ID 3.x session information encryption key (PassPhrase)
configuration.moasession.key=SessionEncryptionKey
configuration.moaconfig.key=ConfigurationEncryptionKey
configuration.ssl.validation.revocation.method.order=ocsp,crl
#configuration.ssl.validation.hostname=false
#configuration.validate.authblock.targetfriendlyname=true


#MOA-ID 3.x Monitoring Servlet
configuration.monitoring.active=false
configuration.monitoring.message.success=All Tests passed!
configuration.monitoring.test.identitylink.url=$PATH_TO_CONFIG$/conf/moa-id/monitoring/monitoring_idl.xml

#MOA-ID 3.x Advanced Logging
configuration.advancedlogging.active=false

######################## Externe Services ############################################

######## central E-ID System connector module ##########
modules.eidproxyauth.keystore.path=file:$PATH_TO_CONFIG$/conf/moa-id/keys/moa_idp[password].p12
modules.eidproxyauth.keystore.password=password
modules.eidproxyauth.metadata.sign.password=password
modules.eidproxyauth.metadata.sign.alias=pvp_metadata 
modules.eidproxyauth.request.sign.password=password
modules.eidproxyauth.request.sign.alias=pvp_assertion  
modules.eidproxyauth.response.encryption.password=password
modules.eidproxyauth.response.encryption.alias=pvp_assertion  

modules.eidproxyauth.EID.trustprofileID=eid_metadata
#modules.eidproxyauth.EID.entityId=https://eid.egiz.gv.at/idp/shibboleth
#modules.eidproxyauth.EID.metadataUrl=


######################## Datenbankkonfiguration ############################################
configuration.database.byteBasedValues=false

#Hibnerate configuration for MOA-ID 3.x session store 
moasession.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
moasession.hibernate.connection.url=jdbc:mysql://localhost/moa-id-session?charSet=utf-8&serverTimezone=UTC
moasession.hibernate.connection.charSet=utf-8
moasession.hibernate.connection.driver_class=com.mysql.cj.jdbc.Driver
moasession.hibernate.connection.username=
moasession.hibernate.connection.password=

moasession.hibernate.hbm2ddl.auto=update
moasession.hibernate.current_session_context_class=thread
moasession.hibernate.transaction.flush_before_completion=true
moasession.hibernate.transaction.auto_close_session=true
moasession.hibernate.show_sql=false
moasession.hibernate.format_sql=true

moasession.jpaVendorAdapter.generateDdl=true
moasession.dbcp.connectionProperties=
moasession.dbcp.initialSize=5
moasession.dbcp.maxActive=100
moasession.dbcp.maxIdle=8
moasession.dbcp.minIdle=5
moasession.dbcp.maxWaitMillis=-1
moasession.dbcp.testOnBorrow=true
moasession.dbcp.testOnReturn=false
moasession.dbcp.testWhileIdle=false
moasession.dbcp.validationQuery=select 1



#Hibnerate configuration for MOA-ID 3.x configuration
configuration.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
configuration.jpaVendorAdapter.generateDdl=true
configuration.hibernate.show_sql=false

configuration.hibernate.connection.url=jdbc:mysql://localhost/moa-id-config?charSet=utf-8&autoReconnect=true&serverTimezone=UTC
configuration.hibernate.connection.charSet=utf-8
configuration.hibernate.connection.driver_class=com.mysql.cj.jdbc.Driver
configuration.hibernate.connection.username=
configuration.hibernate.connection.password=
configuration.dbcp.connectionProperties=

configuration.dbcp.initialSize=0
configuration.dbcp.maxActive=100
configuration.dbcp.maxIdle=8
configuration.dbcp.minIdle=0
configuration.dbcp.maxWaitMillis=-1
configuration.dbcp.testOnBorrow=true
configuration.dbcp.testOnReturn=false
configuration.dbcp.testWhileIdle=false
configuration.dbcp.validationQuery=SELECT 1

#
#Hibnerate configuration for MOA-ID 3.x advanced statistic logging
advancedlogging.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
advancedlogging.hibernate.connection.url=jdbc:mysql://localhost/moa-id-statistic?charSet=utf-8&autoReconnect=true&serverTimezone=UTC
advancedlogging.hibernate.connection.charSet=utf-8
advancedlogging.hibernate.connection.driver_class=com.mysql.cj.jdbc.Driver
advancedlogging.hibernate.connection.username=
advancedlogging.hibernate.connection.password=

advancedlogging.hibernate.hbm2ddl.auto=update
advancedlogging.hibernate.current_session_context_class=thread
advancedlogging.hibernate.transaction.auto_close_session=true
advancedlogging.hibernate.show_sql=false
advancedlogging.hibernate.format_sql=true
advancedlogging.hibernate.transaction.flush_before_completion=true

advancedlogging.jpaVendorAdapter.generateDdl=true
advancedlogging.dbcp.connectionProperties=
advancedlogging.dbcp.initialSize=3
advancedlogging.dbcp.maxActive=50
advancedlogging.dbcp.maxIdle=8
advancedlogging.dbcp.minIdle=3
advancedlogging.dbcp.maxWaitMillis=-1
advancedlogging.dbcp.testOnBorrow=true
advancedlogging.dbcp.testOnReturn=false
advancedlogging.dbcp.testWhileIdle=false
advancedlogging.dbcp.validationQuery=select 1


################ Additonal eID-modul configuration ################################
##  This additional eID moduls add special functionality to MOA-ID-Auth.          #
##  The configuration of this modules is only needed if this modules are in use.  #
###################################################################################


######## Redis Settings, if Redis is used as a backend for session data.
#        has to be enabled with the following parameter
#redis.active=true
redis.use-pool=true
redis.host-name=localhost
redis.port=6379
